# Login

User login is a two step process.

1. A User initiates the login by [Creating a User Login Challenge](/d/api-docs/authentication/login/initlogin.md). This will generate a challenge to be signed by the user.
2. The User signs the login challenge with one of his Credentials, and sends the signed challenge to [Complete User Login](/d/api-docs/authentication/login/completelogin.md).

At the end of the process you will get an authentication token that you can use in the header `Authorization: Bearer {auth_token}` of your API calls.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/authentication/login.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
